
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Leetcode】Longest Increasing Subsequence / 憋错料</title>

    <meta name="description" content="【Leetcode】Longest Increasing Subsequence 题目链接:https://leetcode.com/problems/longest-increasing-subsequence/ 题目: Given an unsorted array of integers, find the length of longest increasing subsequence. For example, Given [10, 9, 2, 5, 3, 7, 101, 18], The longest increasing subsequence is [2,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">【Leetcode】Longest Increasing Subsequence</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>题目链接：<a href="https://leetcode.com/problems/longest-increasing-subsequence/" rel="external nofollow noreferrer">https://leetcode.com/problems/longest-increasing-subsequence/</a></p>
<p>题目：</p>
<p>Given an unsorted array of integers, find the length of longest increasing subsequence.</p>
<p>For example,</p>
<p>Given&nbsp;<code>[10, 9, 2, 5, 3, 7, 101, 18]</code>,</p>
<p>The longest increasing subsequence is&nbsp;<code>[2, 3, 7, 101]</code>, therefore the length is&nbsp;<code>4</code>.<br />
 Note that there may be more than one LIS combination, it is only necessary for you to return the length.</p>
<p>Your algorithm should run in O(n2) complexity.</p>
<p>Follow up:&nbsp;Could you improve it to O(n&nbsp;log&nbsp;n) time complexity?</p>
<p>思路：</p>
<p>1、简单动态规划，c[i]表示从0~i的数组中 包含nums[i]的LIS，状态转移方程：c[i]=max{c[j]&#043;1} ，j&lt;i且nums[i]&gt;nums[j]，时间复杂度为O(n^2)</p>
<p>2、动态规划加二分搜索，b[i]表示长度为i的LIS最后一个元素大小，end是b数组最后一个元素也就是当前LIS的下标。 &nbsp;对每个元素进行如下判断：</p>
<p>若nums[i]&gt;b[end]，则更新LIS，否则二分搜索b数组比nums[i]元素大的最小位置idx，此时b[idx]&gt;nums[i]&gt;b[idx-1] 更新idx位置，因为此时同样长度的子串，包含nums[i]的要比包含b[idx]要小。 &nbsp;时间复杂度O(nlogn)。</p>
<p><a href="http://lib.csdn.net/base/31" rel="external nofollow noreferrer">算法</a>：</p>
<p>1、</p>
<p><strong>[java]</strong>&nbsp;<a href="http://blog.csdn.net/yeqiuzs/article/details/51302834#" rel="external nofollow noreferrer">view<br />
 plain</a>&nbsp;<a href="http://blog.csdn.net/yeqiuzs/article/details/51302834#" rel="external nofollow noreferrer">copy</a></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></p>
<ol>
<li>public&nbsp;int&nbsp;lengthOfLIS(int[]&nbsp;nums)&nbsp;{</li>
<li>if&nbsp;(nums.length&nbsp;==&nbsp;0)</li>
<li>return&nbsp;0;</li>
<li>int&nbsp;c[]&nbsp;=&nbsp;new&nbsp;int[nums.length];//&nbsp;c[i]表示从0~i&nbsp;以nums[i]结尾的最长增长子串的长度</li>
<li>c[0]&nbsp;=&nbsp;1;</li>
<li>int&nbsp;maxLength&nbsp;=&nbsp;1;</li>
<li>for&nbsp;(int&nbsp;i&nbsp;=&nbsp;1;&nbsp;i&nbsp;&lt;&nbsp;nums.length;&nbsp;i&#043;&#043;)&nbsp;{</li>
<li>int&nbsp;tmp&nbsp;=&nbsp;1;</li>
<li>for&nbsp;(int&nbsp;j&nbsp;=&nbsp;0;&nbsp;j&nbsp;&lt;&nbsp;i;&nbsp;j&#043;&#043;)&nbsp;{</li>
<li>if&nbsp;(nums[i]&nbsp;&gt;&nbsp;nums[j])&nbsp;{</li>
<li>tmp&nbsp;=&nbsp;Math.max(c[j]&nbsp;&#043;&nbsp;1,&nbsp;tmp);</li>
<li>}</li>
<li>}</li>
<li>c[i]&nbsp;=&nbsp;tmp;</li>
<li>maxLength&nbsp;=&nbsp;Math.max(maxLength,&nbsp;c[i]);</li>
<li>}</li>
<li>return&nbsp;maxLength;</li>
<li>}</li>
</ol>

<p>2、</p>
<p><strong>[java]</strong>&nbsp;<a href="http://blog.csdn.net/yeqiuzs/article/details/51302834#" rel="external nofollow noreferrer">view<br />
 plain</a>&nbsp;<a href="http://blog.csdn.net/yeqiuzs/article/details/51302834#" rel="external nofollow noreferrer">copy</a></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></p>
<ol>
<li>public&nbsp;int&nbsp;lengthOfLIS(int[]&nbsp;nums)&nbsp;{</li>
<li>if&nbsp;(nums.length&nbsp;==&nbsp;0)</li>
<li>return&nbsp;0;</li>
<li>int&nbsp;b[]&nbsp;=&nbsp;new&nbsp;int[nums.length&nbsp;&#043;&nbsp;1];//&nbsp;长度为i的子串&nbsp;最后一个数最小&#20540;</li>
<li>int&nbsp;end&nbsp;=&nbsp;1;</li>
<li>b[end]&nbsp;=&nbsp;nums[0];</li>
<li>for&nbsp;(int&nbsp;i&nbsp;=&nbsp;1;&nbsp;i&nbsp;&lt;&nbsp;nums.length;&nbsp;i&#043;&#043;)&nbsp;{</li>
<li>if&nbsp;(nums[i]&nbsp;&gt;&nbsp;b[end])&nbsp;{//&nbsp;比最长子串最后元素还大，则更新最长子串长度</li>
<li>end&#043;&#043;;</li>
<li>b[end]&nbsp;=&nbsp;nums[i];</li>
<li>}&nbsp;else&nbsp;{//&nbsp;否则更新b数组</li>
<li>int&nbsp;idx&nbsp;=&nbsp;binarySearch(b,&nbsp;nums[i],&nbsp;end);</li>
<li>b[idx]&nbsp;=&nbsp;nums[i];</li>
<li>}</li>
<li>}</li>
<li>return&nbsp;end;</li>
<li>}</li>
<li>/**</li>
<li>*&nbsp;二分查找大于t的最小&#20540;，并返回其位置</li>
<li>*/</li>
<li>public&nbsp;int&nbsp;binarySearch(int[]&nbsp;b,&nbsp;int&nbsp;target,&nbsp;int&nbsp;end)&nbsp;{</li>
<li>int&nbsp;low&nbsp;=&nbsp;1,&nbsp;high&nbsp;=&nbsp;end;</li>
<li>while&nbsp;(low&nbsp;&lt;=&nbsp;high)&nbsp;{</li>
<li>int&nbsp;mid&nbsp;=&nbsp;(low&nbsp;&#043;&nbsp;high)&nbsp;/&nbsp;2;</li>
<li>if&nbsp;(target&nbsp;&gt;&nbsp;b[mid])</li>
<li>low&nbsp;=&nbsp;mid&nbsp;&#043;&nbsp;1;</li>
<li>else</li>
<li>high&nbsp;=&nbsp;mid&nbsp;-&nbsp;1;</li>
<li>}</li>
<li>return&nbsp;low;</li>
<li>}</li>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 02:07:57 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>【Leetcode】Longest Increasing Subsequence的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eWQ6a4.html" rel="bookmark">【Leetcode】Longest Increasing Path in a Matrix</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:https://leetcode.com/problems/longest-increasing-path-in-a-matrix/ 题目: Given an integer matrix, find the length of the longest increasing path. From each cell, you can either move to four directions: left, right, up or down. You may NOT move dia			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDdpW7M.html" rel="bookmark">【leetcode】 Longest Substring Without Repeating Characters</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: 给定一个字符串,返回该串没有重复字符的最长子串. 分析: 1)子串:子串要求是连续的. 2)无重复,出现重复就断了,必须从新的位置开始.而新的位置就是重复字符第一次出现位置的下一个位置. 3)整个串可能没有一处重复. 那么,为了找出当前访问的字符是否出现过,要怎么做呢?当然是hash,O(1)的时间,而且既然是字符, 定义个255的hash table 就可以了,hash table 中的元素为相应字符在s中出现的位置.初始化为-1,表示都没有出现. 我们另外定义一个start 和end			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RYgeRM.html" rel="bookmark">【LeetCode】Longest Consecutive Sequence</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an unsorted array of integers, find the length of the longest consecutive elements sequence. For example,Given [100, 4, 200, 1, 3, 2],The longest consecutive elements sequence is [1, 2, 3, 4]. Return its length: 4. Your algorithm should run in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MERznx0.html" rel="bookmark">【LeetCode从零单刷】Longest Increasing Subsequence</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: Given an unsorted array of integers, find the length of longest increasing subsequence. For example, Given [10, 9, 2, 5, 3, 7, 101, 18], The longest increasing subsequence is [2, 3, 7, 101], therefore the length is 4. Note that there may be more			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JdRAY0.html" rel="bookmark">LeetCode 300&period; Longest Increasing Subsequence</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				300. Longest Increasing Subsequence Description Submission Solutions Add to List Total Accepted: 64115 Total Submissions: 170859 Difficulty: Medium Contributors: Admin Given an unsorted array of integers, find the length of longest increasing subsequ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4p51QRM.html" rel="bookmark">&lbrack;LeetCode&rsqb;&lbrack;JavaScript&rsqb;Longest Increasing Subsequence</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Longest Increasing Subsequence Given an unsorted array of integers, find the length of longest increasing subsequence. For example,Given [10, 9, 2, 5, 3, 7, 101, 18],The longest increasing subsequence is [2, 3, 7, 101], therefore the length is 4. Not			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLAZRk0.html" rel="bookmark">leetcode 之 Longest Increasing Subsequence</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述: Given an unsorted array of integers, find the length of longest increasing subsequence. For example, Given [10, 9, 2, 5, 3, 7, 101, 18], The longest increasing subsequence is [2, 3, 7, 101], therefore the length is 4. Note that there may be mor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AjpxvM.html" rel="bookmark">&lbrack;leetcode&rsqb;300&period; Longest Increasing Subsequence最长递增子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an unsorted array of integers, find the length of longest increasing subsequence. Example: Input: [10,9,2,5,3,7,101,18] Output: 4 Explanation: The longest increasing subsequence is [2,3,7,101], therefore the length is 4. Note: There may be more			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoK5rbM.html" rel="bookmark">LeetCode 300&period; Longest Increasing Subsequence最长上升子序列 &lpar;C&plus;&plus;&sol;Java&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: Given an unsorted array of integers, find the length of longest increasing subsequence. Example: Input: [10,9,2,5,3,7,101,18] Output: 4 Explanation: The longest increasing subsequence is [2,3,7,101], therefore the length is 4. Note: There may be			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138P1y3.html" rel="bookmark" class="title">lvs</a>
					<div>
						实验环境: 主机1:172.25.46.1 主机2:172.25.46.2 主机3:172.25.46.3 主机1: # yum install -y ipvsadm # ip addr add 17 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAAkv0.html" rel="bookmark" class="title">比较HTML元素和Native组件的区别</a>
					<div>
						我们开发web应用,会使用到各种Html基本元素,比较&lt;div&gt;,&lt;span&gt;,&lt;img&gt;等. 当我们在开发React Native时,我们不能使用HTML元素,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQJAb3.html" rel="bookmark" class="title">将字典直接写入文件，出现中文乱码问题</a>
					<div>
						下面直接将字典写入文件,出现乱码: 解决办法:现将字典NSData,再进行归档NSKeyedArchiver 将字典直接写入文件,出现中文乱码问题,布布扣,bubuko.com					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388pJA3.html" rel="bookmark" class="title">Linux环境下Tivoli Directory Server v6&period;3安装记录&lowbar;步骤2&colon;安装TDS软件</a>
					<div>
						IBM Tivoli Directoy Server是对轻量级目录访问协议(Lightweight Directory Access Protocol,LDAP)的一个完整实现,功能强大.稳定可靠,是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0en6Vw3.html" rel="bookmark" class="title">【Daily Scrum】12-25</a>
					<div>
						Done: 1. 解决了软件过大的问题 2. 写完了新音乐的config文件 On Going: 1. 将所用的XML文件转化为服务器端所需要的形式 2. 将所选照片和相应的配置文件上传至服务器 To ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP891BM.html" rel="bookmark" class="title">语义化HTML</a>
					<div>
						一.怎样语义化html结构 语义化是指用合理HTML标记以及其特有的属性去格式化文档内容. 正确语义化----结构(html)才是重点,样式(css)是用来修饰结构的.所以要先确定html,确定标签, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWOdm4.html" rel="bookmark" class="title">【Vegas原创】Mysql绿色版安装方法</a>
					<div>
						原文:[Vegas原创]Mysql绿色版安装方法 所谓的绿色版,就是没有installer的MySQL,完全需要靠人工来操作,好处是,重装系统后,只要再做一次本次配置,即可使用. 具体操作方法: 1, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leAzb3.html" rel="bookmark" class="title">SharePoint 2013 配置基于AD的Form认证</a>
					<div>
						前 言 配置SharePoint 2013基于AD的Form认证,主要有三步: 1. 修改管理中心的web.config: 2. 修改STS Application的web.config: 3. 修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7ayB0.html" rel="bookmark" class="title">golang - channels</a>
					<div>
						如果说goroutine是Go语音程序的并发体的话,那么channels它们之间的通信机制.一个channels是一个通信机制,它可以让一个goroutine通过它给另一个goroutine发送值信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAXEg4.html" rel="bookmark" class="title">Android &mdash;&mdash;利用OnDraw实现自定义View（转）</a>
					<div>
						自定义View的实现方式大概可以分为三种,自绘控件.组合控件.以及继承控件.本文将介绍自绘控件的用法.自绘控件的意思是,这个控件上的内容是用onDraw函数绘制出来的.关于onDraw函数的介绍可参看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRkb64.html" rel="bookmark" class="title">HDU 4941 Magical Forest 【离散化】【map】</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=4941 题目大意:给你10^5个点,每个点有一个数值,点的xy坐标是0~10^9,点存在于矩阵中.然后给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rm2K5M.html" rel="bookmark" class="title">HTTPS 原理解析&lpar;转&rpar;</a>
					<div>
						一 前言 在说HTTPS之前先说说什么是HTTP,HTTP就是我们平时浏览网页时候使用的一种协议.HTTP协议传输的数据都是未加密的,也就是明文的,因此使用HTTP协议传输隐私信息非常不安全.为了保证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47X72DM.html" rel="bookmark" class="title">shell获取目录下所有文件夹的名称并输出</a>
					<div>
						获取指定目录/usr/下所有文件夹的名称并输出: shell代码: 1 #!/bin/bash 2 #方法一 3 dir=$(ls -l /usr/ |awk '/^d/ {print $NF}')  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQd210.html" rel="bookmark" class="title">杭电1863 畅通工程</a>
					<div>
						畅通工程 Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total Submi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXJ8r4.html" rel="bookmark" class="title">R语言&mdash;日常随笔</a>
					<div>
						1.字符处理函数:paste() 需求:将字符向量中的字符串,用逗号隔开,合并为一句话. &gt; ##字符向量 &gt; ls_1 [1] &quot;天津&quot; &quot;上海&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRydx4.html" rel="bookmark" class="title">eclipse里xml提示包名的插件&mdash;&mdash;Rinzo</a>
					<div>
						1.Rinzo简介 在官方网站上的介绍到,Rinzo是一款Eclipse的XML编辑器,可以使在处理XML文件时变得简洁高效.与一般的XML文件相比,具有以下特点: l 自动显示DTD或Schema里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d79DrM.html" rel="bookmark" class="title">2017中国大数据产业生态大会8月2日-3日在北京召开</a>
					<div>
						智领先机 数见未来 · 主题释义: 随着科学技术的不断发展,人类已经进入智能时代. 未来的竞争中,只有具备更加智能的决策能力,才有可能在竞争中占得先机. 做出智能决策的基础则正是大数据,以大数据为驱动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38DnxK3.html" rel="bookmark" class="title">【C语言探索之旅】 第二部分第九课： 实战&amp;quot&semi;悬挂小人&amp;quot&semi;游戏</a>
					<div>
						内容简介 1.课程大纲 2.第二部分第九课: 实战&quot;悬挂小人&quot;游戏 3.第二部分第十课预告: 安全的文本输入 课程大纲 我们的课程分为四大部分,每一个部分结束后都会有练习题,并会公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eYPpv0.html" rel="bookmark" class="title">UIImage-Helpers截屏、毛玻璃（模糊）以及根据颜色生成图片</a>
					<div>
						demo地址:http://code4app.com/ios/UIImage-Helpers/52c502b6cb7e84a81a8b558c 1.模糊图片: #import &quot;UIImag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OdO774.html" rel="bookmark" class="title">从零开始学android开发-获取TextView的值</a>
					<div>
						昨日写一个Android Demo,逻辑大概是从TextView获取其中的值,然后处理后再放回TextView中.整个处理过程是由一个Button的OnClick触发的. 可是在调试的过程中,一点击B ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
